﻿define([], function () {
    'use strict';

    return {
        getLogFiles: function (query) {

            try {
                let items = JSON.parse(AndroidAppHost.getLogFiles());
                items.forEach(function (f) {
                    f.Id = f.Name;
                    f.Type = 'Log';
                    f.CanShare = true;
                });

                let total = items.length;

                if (query.StartIndex) {
                    items = items.slice(query.StartIndex);
                }

                if (query.Limit) {
                    items.length = Math.min(query.Limit, items.length);
                }

                return Promise.resolve({
                    Items: items,
                    TotalRecordCount: total
                });
            }
            catch (err) {
                return Promise.reject(err);
            }
        },
        getLogLines: function (query) {

            let items = JSON.parse(AndroidAppHost.getLogLines(query.name));

            let total = items.length;

            if (query.StartIndex) {
                items = items.slice(query.StartIndex);
            }

            if (query.Limit) {
                items.length = Math.min(query.Limit, items.length);
            }

            return Promise.resolve({
                Items: items,
                TotalRecordCount: total
            });
        },
        shareLog: function (item) {

            AndroidAppHost.shareLog(item.Name);
            return Promise.resolve();
        }
    };

});