define([], function () {
    'use strict';

    function getByServerId(serverId) {

        throw new Error('getByServerId not implemented');
    }

    function getUserAction(key) {

        throw new Error('getUserAction not implemented');
    }

    function addUserAction(key, val) {

        // Android JSON serialization expects ISO dates
        if (val.Date && typeof val.Date === 'number') {
            val.Date = new Date(val.Date).toISOString();
        }

        if (val.Type && isNaN(Number(val.Type))) {
            switch(val.Type) {
                case 'PlayedItem':
                    val.Type = 0;
                    break;
                case 'MarkPlayed':
                    val.Type = 1;
                    break;
                case 'MarkFavorite':
                    val.Type = 2;
                    break;
            }
        }

        return Promise.resolve(AndroidLocalDatabase.addUserAction(JSON.stringify(val)));
    }

    function deleteUserAction(key) {

        throw new Error('deleteUserAction not implemented');
    }

    function clearUserActions() {

        throw new Error('clearUserActions not implemented');
    }

    return {
        getUserAction: getUserAction,
        addUserAction: addUserAction,
        deleteUserAction: deleteUserAction,
        clearUserActions: clearUserActions,
        getByServerId: getByServerId
    };
});